## kfoldersync 3.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

project(kfoldersync VERSION 3.4.1 LANGUAGES CXX)

find_package(Qt5 REQUIRED COMPONENTS Concurrent Core Gui Widgets)
find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}")
find_package(KF5 5.23 REQUIRED COMPONENTS Config ConfigWidgets CoreAddons DBusAddons I18n ItemViews KIO WidgetsAddons WindowSystem XmlGui)

if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    set(ENABLE_CLAZY ON)
endif()

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings NO_POLICY_SCOPE)

if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    kde_enable_exceptions()
endif()

set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_FLAGS_DEBUG "-ggdb -pedantic-errors")
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    set(MIN_GCC_VERSION 5.1)
    if(${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS ${MIN_GCC_VERSION})
        message(FATAL_ERROR "You need at least ${CMAKE_CXX_COMPILER_ID} GCC ${MIN_GCC_VERSION}")
    endif()
    unset(MIN_GCC_VERSION)
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Winline")
    if(${CMAKE_CXX_COMPILER_VERSION} VERSION_GREATER 6)
        set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wignored-attributes")
    endif()
elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(MIN_CLANG_VERSION 3.4)
    if(${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS ${MIN_CLANG_VERSION})
        message(FATAL_ERROR "You need at least ${CMAKE_CXX_COMPILER_ID} ${MIN_CLANG_VERSION}")
    endif()
    unset(MIN_CLANG_VERSION)
    #set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} <...>")
endif()

add_subdirectory(icons)
add_subdirectory(src)
ki18n_install(po)

feature_summary(FATAL_ON_MISSING_REQUIRED_PACKAGES WHAT ALL)

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)

file(GLOB SVGZs *.svgz)

ecm_install_icons(ICONS ${SVGZs} DESTINATION ${KDE_INSTALL_ICONDIR})

=== src/CMakeLists.txt ===
file(GLOB PROJECT_SOURCE_FILES LIST_DIRECTORIES false *.cxx)

add_executable(${PROJECT_NAME} ${PROJECT_SOURCE_FILES})

target_compile_definitions(${PROJECT_NAME} PRIVATE
    FATAL_BUG=qFatal\(\"There's\ a\ bug!\"\)
    PROJECT_NAME=\"${PROJECT_NAME}\"
    PROJECT_VERSION=\"${PROJECT_VERSION}\"
    QT_NO_CAST_FROM_ASCII
    QT_NO_CAST_TO_ASCII
    QT_NO_URL_CAST_FROM_STRING
    QT_USE_QSTRINGBUILDER
    URL_DISPLAY_FORMAT=QUrl::RemovePassword\ |\ QUrl::PreferLocalFile\ |\ QUrl::PrettyDecoded
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::I18n
    KF5::ItemViews
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KIONTLM
    KF5::KIOWidgets
    KF5::WidgetsAddons
    KF5::WindowSystem
    KF5::XmlGui
    Qt5::Concurrent
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
)

install(TARGETS ${PROJECT_NAME} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS ${PROJECT_NAME}.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
kfoldersync (3.4.1-1) xenial; urgency=medium

  * Latest release. Changelog at http://ur1.ca/hruvd

 -- Lorenzo Porta (Vindex17) <vindex17@outlook.it>  Wed, 25 Jan 2016 15:07:16 +0100

kfoldersync (3.3.0-1) xenial; urgency=medium

  * First release.

 -- Lorenzo Porta (Vindex17) <vindex17@outlook.it>  Sat, 27 Aug 2016 12:46:22 +0200

=== debian/control ===
Source: kfoldersync
Section: kde
Priority: optional
Maintainer: Lorenzo Porta (Vindex17) <vindex17@outlook.it>
Build-Depends: debhelper, pkg-kde-tools, cmake, extra-cmake-modules, qtbase5-dev, libfam0, libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev, libkf5dbusaddons-dev, libkf5i18n-dev, libkf5itemviews-dev, kio-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev, libkf5xmlgui-dev
Standards-Version: 3.9.8
Homepage: https://www.linux-apps.com/p/1127677/

Package: kfoldersync
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Folder synchronization and backup tool.
 Folder synchronization and backup tool based on KDE Frameworks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5 --parallel
